moDraw.showGui = {};

function moDraw.showGui:setOpenInfoBoard(self)
	moSetGetGui.showGui.clickArea.infoBoard = {};
	local posX = moSetGetGui.showGui.posX+0.001;
	local posY = moSetGetGui.showGui.posY;
	local size = moSetGetGui.showGui.size;	
	local widthSettings = moSetGetGui.buttonGfxWidth1*moSetGetGui.zoomOutInTemp*200;	
	local heightSettings = moSetGetGui.buttonGfxHeight1*moSetGetGui.zoomOutInTemp*15;
	local widthNoticeSettings = moSetGetGui.buttonGfxWidth1*moSetGetGui.zoomOutInTemp*15;
	local heightNoticeSettings = moSetGetGui.buttonGfxHeight1*moSetGetGui.zoomOutInTemp*15;
	local widthEditSettings = moSetGetGui.buttonGfxWidth1*moSetGetGui.zoomOutInTemp*6;
	local heightEditSettings = moSetGetGui.buttonGfxHeight1*moSetGetGui.zoomOutInTemp*6;
	local height = moSetGetGui.buttonGfxHeight1*(size*1000);
	local heightDefault = heightNoticeSettings;	
	local distance = heightSettings;
	local slotLength = moSetGetGui.buttonGfxWidth1*(size*1000/1.5)*(moSetGetGui.screenAspectRatio);	
	local width = slotLength	
	local widthNext = moSetGetGui.buttonGfxWidth1*(size*1000/1.5)*(moSetGetGui.screenAspectRatio)+widthSettings;
	local currentPosY = posY;
	function nextLine(setHeight, posYnew, setLine, posYline, widthLine, heightLine, onlyLine)
		if setLine then
			moSetGetGui:setOverlay(self, moSetGetGui["designLine"], posX-widthNoticeSettings, currentPosY-(posYline), widthLine, heightLine);
			moSetGetGui["designLine"]:render();
			if onlyLine then return;end;
		end;		
		if setHeight then height = height+(heightDefault)+posYnew;end; --height+size+posNew;
		currentPosY = currentPosY-(heightDefault)-posYnew; --posY-(size+posYnew);		
	end;	
	moSetGetGui["boardGround"]:render();
	setTextBold(true);	
	setTextColor(unpack(moGuiMiniPdaSlots.siloColor));
	local b = 1;
	local unlockMaster, unlockUser = moGuiExtras:infoEditState(self, editMaster, editUser);
	if moSetGetGui.showGui.state == 1 then		
		moSetGetGui:setOverlay(self, moSetGetGui["boardSync"], posX-widthNoticeSettings, posY-(distance*0), widthNoticeSettings, heightNoticeSettings);
		if not MultiOverlayV2.isMp then
			moSetGetGui:setBackgroundColor(moSetGetGui["boardSync"], moGuiExtras.colors['green']);
		elseif not moSetGetGui.showGui.sync then
			moSetGetGui:setBackgroundColor(moSetGetGui["boardSync"], moGuiExtras.colors['red']);
		end;
		moSetGetGui["boardSync"]:render();
		--moDraw.showGui:setClickAreaInfoBoard(self, posX-widthNoticeSettings, posY-(distance*0), widthNoticeSettings, heightNoticeSettings, 1);
		moSetGetGui:setOverlay(self, moSetGetGui["boardClose"], posX+widthSettings-widthEditSettings, posY+(distance*1)-heightEditSettings, widthEditSettings, heightEditSettings);
		moSetGetGui["boardClose"]:render();
		--if MultiOverlayV2.isMp then			
			moSetGetGui:setOverlay(self, moSetGetGui["boardPw"], posX+widthSettings-(widthEditSettings*3), posY+(distance*1)-heightEditSettings, widthEditSettings, heightEditSettings);
			if moSetGetGui.showGui.infoEditPwUnLock or MultiOverlayV2.event.infoEditUser_s == 1 then
				moSetGetGui:setBackgroundColor(moSetGetGui["boardPw"], moGuiExtras.colors['green']);			
			else
				moSetGetGui:setBackgroundColor(moSetGetGui["boardPw"], moGuiExtras.colors['red']);
			end;
			moSetGetGui["boardPw"]:render();
			moSetGetGui:setOverlay(self, moSetGetGui["boardPw"], posX+widthSettings-(widthEditSettings*2), posY+(distance*1)-heightEditSettings, widthEditSettings, heightEditSettings);
			if moSetGetGui.showGui.infoEditMasterPwUnLock or MultiOverlayV2.event.infoEditUser_s == 1 then
				moSetGetGui:setBackgroundColor(moSetGetGui["boardPw"], moGuiExtras.colors['green']);			
			else
				moSetGetGui:setBackgroundColor(moSetGetGui["boardPw"], moGuiExtras.colors['red']);
			end;
			if (unlockMaster and MultiOverlayV2.event.infoEditUser_s == 3) or (unlockUser and MultiOverlayV2.event.infoEditUser_s == 2) or (MultiOverlayV2.event.infoEditUser_s == 1 and moSetGetGui.showGui.infoEdit == 0) then
				if not moSetGetGui.showGui.infoEditMasterPw and not moSetGetGui.showGui.infoEditPw then
					if #MultiOverlayV2.event.infoTable_s <= 15 then
						setTextColor(unpack(moGuiMiniPdaSlots.warningColor3));
						renderText(posX+0.003+widthEditSettings, posY-(distance*0)+0.03, size, tostring(moSetGetGui.showGui.inputTxtError));
					end;
					moSetGetGui:setOverlay(self, moSetGetGui["boardEdit"], posX+widthSettings-widthEditSettings, posY+(distance*1)-(heightEditSettings*2), widthEditSettings, heightEditSettings);
					moSetGetGui["boardEdit"]:render();					
				end;
			end;
			moSetGetGui["boardPw"]:render();
			if moSetGetGui.showGui.infoEditMasterPw then
				moSetGetGui:setOverlay(self, moSetGetGui["boardSave"], posX+widthSettings-widthEditSettings, posY+(distance*1)-(heightEditSettings*2), widthEditSettings, heightEditSettings);
				moSetGetGui["boardSave"]:render();				
				local try = moSetGetGui.showGui.tryEditMasterPwUnLock;
				local pwTxt = moSetGetGui.showGui.inputTxt.. "_";
				if string.len(moSetGetGui.showGui.inputTxtError) > 1 then
					setTextColor(unpack(moGuiMiniPdaSlots.warningColor3));
					renderText(posX+0.003+widthEditSettings, posY-(distance*0)+0.03, size, tostring(moSetGetGui.showGui.inputTxtError));
				end;
				setTextColor(unpack(moGuiMiniPdaSlots.siloColor));
				if try <= 0 then pwTxt = "blocked";end;
				renderText(posX+0.003+widthEditSettings, posY-(distance*0)+0.01, size, "MasterPw(".. tostring(try).. "): ".. tostring(pwTxt));	
			elseif moSetGetGui.showGui.infoEditPw then
				moSetGetGui:setOverlay(self, moSetGetGui["boardSave"], posX+widthSettings-widthEditSettings, posY+(distance*1)-(heightEditSettings*2), widthEditSettings, heightEditSettings);
				moSetGetGui["boardSave"]:render();				
				local try = moSetGetGui.showGui.tryEditPwUnLock;
				local pwTxt = moSetGetGui.showGui.inputTxt.. "_";
				if string.len(moSetGetGui.showGui.inputTxtError) > 1 then
					setTextColor(unpack(moGuiMiniPdaSlots.warningColor3));
					renderText(posX+0.003+widthEditSettings, posY-(distance*0)+0.03, size, tostring(moSetGetGui.showGui.inputTxtError));
				end;
				setTextColor(unpack(moGuiMiniPdaSlots.siloColor));
				if try <= 0 then pwTxt = "blocked";end;
				renderText(posX+0.003+widthEditSettings, posY-(distance*0)+0.01, size, "UserPw(".. tostring(try).. "): ".. tostring(pwTxt));	
			end;
		--end;		
		--moDraw.showGui:setClickAreaInfoBoard(self, posX+widthSettings-widthEditSettings, posY+(distance*1)-heightEditSettings, widthEditSettings, heightEditSettings, 1);		
		if MultiOverlayV2.event.infoTable_s[1] ~= nil then
			for a=1, #MultiOverlayV2.event.infoTable_s do
				if MultiOverlayV2.event.infoTable_s[a] ~= nil then					
					local splitInfo = Utils.splitString("-i-", MultiOverlayV2.event.infoTable_s[a]);
					if splitInfo[1] ~= nil and splitInfo[2] ~= nil and splitInfo[3] ~= nil and splitInfo[4] ~= nil and splitInfo[5] ~= nil and splitInfo[5] ~= nil and splitInfo[6] ~= nil then
						local state = tonumber(splitInfo[1]); -- 0-3
						local notice = splitInfo[2];
						local user = splitInfo[3];
						local lastUser = splitInfo[4];
						if string.len(lastUser) < 1 or lastUser == "NO" then 
							lastUser = "";
						else
							lastUser = "(Edit ".. tostring(lastUser).. ")";
						end;						
						local editStateUser = tonumber(splitInfo[5]); -- 1-2
						local editStateMaster = tonumber(splitInfo[6]); -- 1-2
						if tonumber(state) == 0 then 
							moSetGetGui:setBackgroundColor(moSetGetGui["boardNotice"], moGuiExtras.colors['white']);
						elseif tonumber(state) == 1 then
							moSetGetGui:setBackgroundColor(moSetGetGui["boardNotice"], moGuiExtras.colors['yellow']);
						elseif tonumber(state) == 2 then
							moSetGetGui:setBackgroundColor(moSetGetGui["boardNotice"], moGuiExtras.colors['green']);
						elseif tonumber(state) == 3 then
							moSetGetGui:setBackgroundColor(moSetGetGui["boardNotice"], moGuiExtras.colors['red']);
						end;
						moSetGetGui:setOverlay(self, moSetGetGui["boardNotice"], posX-widthNoticeSettings, posY-(distance*a), widthNoticeSettings, heightNoticeSettings);						
						moSetGetGui["boardNotice"]:render();
						setTextColor(unpack(moGuiExtras.colors['black']));
						renderText(posX-(widthNoticeSettings/2)-0.002, posY-(distance*a)+(heightNoticeSettings/2), size+0.002, tostring(a));
						setTextColor(unpack(moGuiMiniPdaSlots.inactiveColor));
						setTextBold(false);
						renderText(posX+0.003, currentPosY-height, size, tostring(user).. tostring(lastUser));						
						setTextBold(true);
						if moSetGetGui.showGui.infoEdit == 0 or moSetGetGui.showGui.infoEdit ~= a then
							setTextColor(unpack(moGuiMiniPdaSlots.activeColor));
							renderText(posX+0.003, currentPosY-(height*2.9), size, tostring(notice));
						else
							local widthLen = moSetGetGui.buttonGfxWidth1*(moSetGetGui.showGui.size*1000/1.5)*(string.len(tostring(moSetGetGui.showGui.inputTxt))+moSetGetGui.screenAspectRatio)
							renderText(posX+0.003, currentPosY-(height*2.9), size, tostring(moSetGetGui.showGui.inputTxt).. tostring("_"));							
						end;						
						local unlock = false;
						if splitInfo[1] ~= nil then
							moGuiExtras:infoEditState(self, editMaster, editUser)
							if editStateMaster == 2 and editStateUser == 2 and moSetGetGui.showGui.infoEditMasterPwUnLock and moSetGetGui.showGui.infoEditPwUnLock then 
								unlock = true;
							elseif editStateMaster == 2 and moSetGetGui.showGui.infoEditMasterPwUnLock and editStateUser == 1 then
								unlock = true;
							elseif editStateUser == 2 and moSetGetGui.showGui.infoEditPwUnLock and editStateMaster == 1 then
								unlock = true;
							--elseif not MultiOverlayV2.isMp then
								--unlock = true;
							elseif MultiOverlayV2.event.infoEditUser_s == 1 then
								unlock = true;
							elseif MultiOverlayV2.event.infoEditUser_s == 2 and moSetGetGui.showGui.infoEditPwUnLock then
								unlock = true;
							elseif MultiOverlayV2.event.infoEditUser_s == 3 and moSetGetGui.showGui.infoEditMasterPwUnLock then
								unlock = true;
							elseif MultiOverlayV2.event.infoEditUser_s == 4 and moSetGetGui.showGui.infoEditPwUnLock and moSetGetGui.showGui.infoEditMasterPwUnLock then
								unlock = true;	
							end;
						end;
						if unlock then
							if moSetGetGui.showGui.infoEdit == 0 or moSetGetGui.showGui.infoEdit ~= a then
								moSetGetGui:setOverlay(self, moSetGetGui["boardEdit"], posX+widthSettings-widthEditSettings, posY-(distance*(a-1))-heightEditSettings, widthEditSettings, heightEditSettings);
								moSetGetGui["boardEdit"]:render();
							elseif string.len(moSetGetGui.showGui.inputTxt) >= 1 then
								moSetGetGui:setOverlay(self, moSetGetGui["boardSave"], posX+widthSettings-widthEditSettings, posY-(distance*(a-1))-heightEditSettings, widthEditSettings, heightEditSettings);
								moSetGetGui["boardSave"]:render();								
							end;
							moSetGetGui:setOverlay(self, moSetGetGui["boardDelete"], posX+(widthSettings-widthEditSettings*2), posY-(distance*(a-1))-heightEditSettings, widthEditSettings, heightEditSettings);
							moSetGetGui["boardDelete"]:render();						
						else
							if editStateUser == 2 or (editStateUser == 1 and editStateMaster == 1) then
								moSetGetGui:setBackgroundColor(moSetGetGui["boardPw"], moGuiExtras.colors['red']);
								if moSetGetGui.showGui.infoEditPwUnLock then moSetGetGui:setBackgroundColor(moSetGetGui["boardPw"], moGuiExtras.colors['green']);end;
								moSetGetGui:setOverlay(self, moSetGetGui["boardPw"], posX+widthSettings-widthEditSettings, posY-(distance*(a-1))-heightEditSettings, widthEditSettings, heightEditSettings);
								moSetGetGui["boardPw"]:render();
							end;
							if editStateMaster == 2 then								
								moSetGetGui:setBackgroundColor(moSetGetGui["boardPw"], moGuiExtras.colors['red']);
								if moSetGetGui.showGui.infoEditMasterPwUnLock then moSetGetGui:setBackgroundColor(moSetGetGui["boardPw"], moGuiExtras.colors['green']);end;
								moSetGetGui:setOverlay(self, moSetGetGui["boardPw"], posX+widthSettings-widthEditSettings, posY-(distance*(a-1))-(heightEditSettings*2), widthEditSettings, heightEditSettings);
								moSetGetGui["boardPw"]:render();
							end;							
						end;
						if moSetGetGui.showGui.infoEditNew and moSetGetGui.showGui.infoEdit == a and string.len(moSetGetGui.showGui.inputTxt) >= 1 then
							setTextBold(false);							
							if editStateMaster == 2 then
								moSetGetGui:setOverlay(self, moSetGetGui["boardGreen"], posX+widthSettings-(widthEditSettings*6), posY-(distance*(a-1))-heightEditSettings, widthEditSettings, heightEditSettings);
								moSetGetGui["boardGreen"]:render();
							else
								moSetGetGui:setOverlay(self, moSetGetGui["boardBlank"], posX+widthSettings-(widthEditSettings*6), posY-(distance*(a-1))-heightEditSettings, widthEditSettings, heightEditSettings);
								moSetGetGui["boardBlank"]:render();
							end;
							moSetGetGui:setOverlay(self, moSetGetGui["boardEdit"], posX+widthSettings-(widthEditSettings*5), posY-(distance*(a-1))-heightEditSettings, widthEditSettings, heightEditSettings);
							moSetGetGui["boardEdit"]:render();
							renderText(posX+widthSettings-(widthEditSettings*4), posY-(distance*(a-1))-heightEditSettings+0.005, size-0.001, tostring("U-Pw"));							
							if editStateUser == 2 then
								moSetGetGui:setOverlay(self, moSetGetGui["boardGreen"], posX+widthSettings-(widthEditSettings*11), posY-(distance*(a-1))-heightEditSettings, widthEditSettings, heightEditSettings);
								moSetGetGui["boardGreen"]:render();
							else
								moSetGetGui:setOverlay(self, moSetGetGui["boardBlank"], posX+widthSettings-(widthEditSettings*11), posY-(distance*(a-1))-heightEditSettings, widthEditSettings, heightEditSettings);
								moSetGetGui["boardBlank"]:render();
							end;
							moSetGetGui:setOverlay(self, moSetGetGui["boardEdit"], posX+widthSettings-(widthEditSettings*10), posY-(distance*(a-1))-heightEditSettings, widthEditSettings, heightEditSettings);
							moSetGetGui["boardEdit"]:render();
							renderText(posX+widthSettings-(widthEditSettings*9), posY-(distance*(a-1))-heightEditSettings+0.005, size-0.001, tostring("M-Pw"));
							if string.len(moSetGetGui.showGui.inputTxtError) > 1 then
								setTextColor(unpack(moGuiMiniPdaSlots.warningColor3));
								renderText(posX+0.003+widthEditSettings, posY-(distance*0)+0.03, size, tostring(moSetGetGui.showGui.inputTxtError));
							end;
							setTextBold(true);
						end;						
						b = b+1;
						nextLine(false, 0.000, true, 0.000, widthSettings+widthNoticeSettings, 0.002);
					end;
				end;
			end;		
		end;		
		--local widthLen = moSetGetGui.buttonGfxWidth1*(moSetGetGui.showGui.size*1000/1.5)*(string.len(moSetGetGui.showGui.inputTxt)+moSetGetGui.screenAspectRatio);
		--renderText(moSetGetGui.showGui.posX+(widthLen), moSetGetGui.showGui.posY-0.0015, moSetGetGui.showGui.size, tostring("_"));
		--moSetGetGui:setOverlay(self, moSetGetGui["boardNotice"], posX-widthNoticeSettings, posY-(distance*1), widthNoticeSettings, heightNoticeSettings);
		--moSetGetGui:setBackgroundColor(moSetGetGui["boardNotice"], moGuiExtras.colors['green']);
		--moSetGetGui["boardNotice"]:render();
		--moSetGetGui:setOverlay(self, moSetGetGui["boardEdit"], posX+widthSettings-widthEditSettings, posY-(distance*0)-heightEditSettings, widthEditSettings, heightEditSettings);
		--moSetGetGui["boardEdit"]:render();
		--nextLine(true, 0.000, true, 0.000, widthSettings+widthNoticeSettings, 0.002);
		
		--moSetGetGui:setOverlay(self, moSetGetGui["boardNotice"], posX-widthNoticeSettings, posY-(distance*2), widthNoticeSettings, heightNoticeSettings);
		--moSetGetGui:setBackgroundColor(moSetGetGui["boardNotice"], moGuiExtras.colors['green']);
		--moSetGetGui["boardNotice"]:render();
		--moSetGetGui:setOverlay(self, moSetGetGui["boardEdit"], posX+widthSettings-widthEditSettings, posY-(distance*1)-heightEditSettings, widthEditSettings, heightEditSettings);
		--moSetGetGui["boardEdit"]:render();
		--nextLine(true, 0.000, true, 0.000, widthSettings+widthNoticeSettings, 0.002);
		
		--moSetGetGui:setOverlay(self, moSetGetGui["boardNotice"], posX-widthNoticeSettings, posY-(distance*3), widthNoticeSettings, heightNoticeSettings);
		--moSetGetGui:setBackgroundColor(moSetGetGui["boardNotice"], moGuiExtras.colors['red']);
		--moSetGetGui["boardNotice"]:render();
		--moSetGetGui:setOverlay(self, moSetGetGui["boardPw"], posX+widthSettings-widthEditSettings, posY-(distance*2)-heightEditSettings, widthEditSettings, heightEditSettings);
		--moSetGetGui["boardPw"]:render();
		--nextLine(true, 0.000, true, 0.000, widthSettings+widthNoticeSettings, 0.002);
		
		--moSetGetGui:setOverlay(self, moSetGetGui["boardNotice"], posX-widthNoticeSettings, posY-(distance*4), widthNoticeSettings, heightNoticeSettings);
		--moSetGetGui:setBackgroundColor(moSetGetGui["boardNotice"], moGuiExtras.colors['red']);
		--moSetGetGui["boardNotice"]:render();
		--nextLine(true, 0.000, true, 0.000, widthSettings+widthNoticeSettings, 0.002);
		
		--moSetGetGui:setOverlay(self, moSetGetGui["boardNotice"], posX-widthNoticeSettings, posY-(distance*5), widthNoticeSettings, heightNoticeSettings);
		--moSetGetGui:setBackgroundColor(moSetGetGui["boardNotice"], moGuiExtras.colors['yellow']);
		--moSetGetGui["boardNotice"]:render();
		--nextLine(true, 0.000, true, 0.000, widthSettings+widthNoticeSettings, 0.002);
		
		--moSetGetGui:setOverlay(self, moSetGetGui["boardNotice"], posX-widthNoticeSettings, posY-(distance*6), widthNoticeSettings, heightNoticeSettings);
		--moSetGetGui:setBackgroundColor(moSetGetGui["boardNotice"], moGuiExtras.colors['white']);
		--moSetGetGui["boardNotice"]:render();
		--nextLine(true, 0.000, true, 0.000, widthSettings+widthNoticeSettings, 0.002);
		--nextLine(true, 0.000, true, 0.000, widthSettings+widthNoticeSettings, 0.002);
	end;
	
	--nextLine(true, 0.007, true, 0.0035, width+widthNext, 0.001);
	----
	
	
	
	
	----	
	moSetGetGui:setOverlay(self, moSetGetGui["boardGround"], posX-widthNoticeSettings, posY-(distance*(b-1)), widthSettings+widthNoticeSettings, heightSettings*b); --+heightSettings	
	
	setTextColor(1, 1, 1, 1);
	setTextAlignment(false);
	setTextBold(false);	
end;

function moDraw.showGui:setOpenSlotEdit(self)
	moSetGetGui.showGui.clickArea.editSlot = {};
	moSetGetGui.showGui.clickArea.editObject = {};
	moSetGetGui.showGui.timer = moSetGetGui.showGui.timer-5;
	if moSetGetGui.showGui.timer <= 0 then moSetGetGui.showGui.timer = 500;end;	
	local posX = moSetGetGui.showGui.posX+0.001;
	local posY = moSetGetGui.showGui.posY;
	local size = moSetGetGui.showGui.size;
	local horizontal = moSetGetGui.buttonGfxWidth1*moSetGetGui.zoomOutInCfgMenue*4;
	local vertical = moSetGetGui.buttonGfxHeight1*moSetGetGui.zoomOutInCfgMenue*5;
	local widthSlot = moSetGetGui.buttonGfxWidth1*moSetGetGui.zoomOutInCfgMenue*8
	local heightSlot = moSetGetGui.buttonGfxHeight1*moSetGetGui.zoomOutInCfgMenue*8
	
	
	
	local height = moSetGetGui.buttonGfxHeight1*(size*1000);
	local heightDefault = moSetGetGui.buttonGfxHeight1*(size*1000);	
	
	local currentPosY = posY;
	function nextLine(setHeight, posYnew, setLine, posYline, widthLine, heightLine, onlyLine)
		if setLine then
			moSetGetGui:setOverlay(self, moSetGetGui["designLine"], posX, currentPosY-(posYline), widthLine, heightLine);
			moSetGetGui["designLine"]:render();
			if onlyLine then return;end;
		end;		
		if setHeight then height = height+(heightDefault)+posYnew;end; --height+size+posNew;
		currentPosY = currentPosY-(heightDefault)-posYnew; --posY-(size+posYnew);		
	end;	
	
	setTextBold(true);	
	
	--renderText(posX+widthEditSettings, currentPosY, size-0.001, tostring("modType: ").. tostring(moSetGetGui.showGui.slotEdit.objectTableOld.modType));
	--nextLine(true, 0.007, false);
	--renderText(posX+widthEditSettings, currentPosY, size-0.001, tostring("slotType: ").. tostring(moSetGetGui.showGui.slotEdit.slotTypeOld));
	--nextLine(true, 0.007, false);
	--renderText(posX+widthEditSettings, currentPosY, size-0.001, tostring("objectPos: ").. tostring(moSetGetGui.showGui.slotEdit.objectPosOld));
	--nextLine(true, 0.007, false);
	--renderText(posX+widthEditSettings, currentPosY, size-0.001, tostring("category: ").. tostring(moSetGetGui.showGui.slotEdit.objectTableOld.category));
	--nextLine(true, 0.007, false);
	--renderText(posX+widthEditSettings, currentPosY, size-0.001, tostring("separated: ").. tostring(moSetGetGui.showGui.slotEdit.objectTableOld.separated));
	--nextLine(true, 0.007, false);
	--renderText(posX+widthEditSettings, currentPosY, size-0.001, tostring("placeable: ").. tostring(moSetGetGui.showGui.slotEdit.objectTableOld.placeable));
	--nextLine(true, 0.007, false);
	--renderText(posX+widthEditSettings, currentPosY, size-0.001, tostring("displayName: ").. tostring(moSetGetGui.showGui.slotEdit.objectTableOld.displayName));
	
	local noEdit = "amount bestprice fieldsprice fieldsinfo bga silagesilos ";
	
	
	local slotNames = Utils.splitString(" ", moGuiMiniPdaSlots.acceptedName)
	moSetGetGui["designGround"]:render();		
	local b = 0;
	for a=1, #slotNames do
		if slotNames[a] ~= nil and string.len(slotNames[a]) > 1 and moSetGetGui[slotNames[a]] ~= nil then
			moSetGetGui[slotNames[a]]:setPosition(posX+(widthSlot*a), posY);
			moSetGetGui[slotNames[a]]:render();
			if string.find(noEdit, slotNames[a].. " ") then
				moSetGetGui["notReady"]:setPosition(posX+(widthSlot*a)+0.0025, posY+0.0035);
				moSetGetGui["notReady"]:render();
			elseif string.len(moSetGetGui.showGui.editSlot) > 0 and tostring(moSetGetGui.showGui.editSlot) == tostring(slotNames[a]) then
				moSetGetGui["okay"]:setPosition(posX+(widthSlot*a)+0.0025, posY+0.0035);
				moSetGetGui["okay"]:render();
			end;
			b=b+1;
		end;
	end;
	moSetGetGui["close"]:setPosition(posX+widthSlot, posY+heightSlot);			
	moSetGetGui["close"]:render();
	moSetGetGui["slotHotSpot"]:setPosition(posX+widthSlot, posY-(heightSlot/2));			
	moSetGetGui["slotHotSpot"]:render();
	setTextColor(unpack(moGuiMiniPdaSlots.demandColor));
	if not moSetGetGui.showGui.mapObjects then
		moSetGetGui["slotNotOkay"]:setPosition(posX+widthSlot, posY-(heightSlot/2));			
		moSetGetGui["slotNotOkay"]:render();
	end;
	renderText(posX+widthSlot+horizontal, posY-(heightSlot/2)+0.0035, moSetGetGui.posCfgMenue.size[3]-0.0025, tostring(" mapObjects"));
	moSetGetGui["slotHotSpot"]:setPosition(posX+(widthSlot*4), posY-(heightSlot/2));			
	moSetGetGui["slotHotSpot"]:render();
	if not moSetGetGui.showGui.placeableObjects then
		moSetGetGui["slotNotOkay"]:setPosition(posX+(widthSlot*4), posY-(heightSlot/2));			
		moSetGetGui["slotNotOkay"]:render();
	end;
	renderText(posX+(widthSlot*4)+horizontal, posY-(heightSlot/2)+0.0035, moSetGetGui.posCfgMenue.size[3]-0.0025, tostring(" placeableObjects"));	
	
	moSetGetGui["editSlot"]:setPosition(posX+(widthSlot*8), posY-(heightSlot/2)+0.002);			
	moSetGetGui["editSlot"]:render();
	if string.len(tostring(moSetGetGui.showGui.editSlot)) <= 0 or moSetGetGui.showGui.inputEditState ~= 0 then
		moSetGetGui["slotNotOkay"]:setPosition(posX+(widthSlot*8), posY-(heightSlot/2));			
		moSetGetGui["slotNotOkay"]:render();
	end;
	renderText(posX+(widthSlot*8)+horizontal, posY-(heightSlot/2)+0.0035, moSetGetGui.posCfgMenue.size[3]-0.0025, tostring(" new object line"));
	
	if moGeneralSettings.saveGameObjectSettings then
		--moSetGetGui["notReadySmall"]:setPosition(posX+(widthSlot), posY-(heightSlot));			
		--moSetGetGui["notReadySmall"]:render();
		local posTxt = ".../".. string.gsub(MultiOverlayV2.saveGameDir, getUserProfileAppPath(), "");
		renderText(posX+(widthSlot)+0.001, posY-(heightSlot)+0.0035, moSetGetGui.posCfgMenue.size[3]-0.0025, tostring(" Save: ").. tostring(posTxt));
	else
		moSetGetGui["editContinue1"]:setPosition(posX+(widthSlot), posY-(heightSlot));			
		moSetGetGui["editContinue1"]:render();
		local posTxt = ".../".. string.gsub(MultiOverlayV2.settingsDir, getUserProfileAppPath(), "");
		renderText(posX+(widthSlot)+horizontal, posY-(heightSlot)+0.0035, moSetGetGui.posCfgMenue.size[3]-0.0025, tostring(" Save: ").. tostring(posTxt));
	end;	
	
	if string.len(moSetGetGui.showGui.inputTxtError) > 0 then
		setTextColor(unpack(moSetGetGui.cfgMenue.color3));
		moSetGetGui["warning"]:setPosition(posX+(widthSlot*3), posY+heightSlot);			
		moSetGetGui["warning"]:render();
		renderText(posX+(widthSlot*4), posY+heightSlot+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, tostring(moSetGetGui.showGui.inputTxtError));
		renderText(posX+(widthSlot*4), posY+heightSlot+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, tostring(moSetGetGui.showGui.inputTxtError));
	end;
	setTextColor(unpack(moGuiMiniPdaSlots.siloColor));
	renderText(posX+widthSlot, posY-(heightSlot*1.5)+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, " Edit Slot: ".. tostring(moSetGetGui.showGui.editSlot));
	if moSetGetGui.showGui.save then
		moSetGetGui["saveOn"]:setPosition(posX+(widthSlot*b), posY+heightSlot);			
		moSetGetGui["saveOn"]:render();
	else
		moSetGetGui["saveOff"]:setPosition(posX+(widthSlot*b), posY+heightSlot);			
		moSetGetGui["saveOff"]:render();
	end;
	b = 4;	
	if string.len(tostring(moSetGetGui.showGui.editSlot)) > 0 then		
		setTextColor(unpack(moGuiMiniPdaSlots.demandColor));
		setTextAlignment(RenderText.ALIGN_CENTER);
		moSetGetGui["editButton1"]:setPosition(posX+widthSlot, posY-(heightSlot*2));			
		moSetGetGui["editButton1"]:render();
		renderText(posX+widthSlot+((horizontal*4)/2), posY-(heightSlot*2)+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, tostring("modType"));
		moSetGetGui["editButton3"]:setPosition(posX+widthSlot+(horizontal*4), posY-(heightSlot*2));			
		moSetGetGui["editButton3"]:render();
		renderText(posX+widthSlot+(horizontal*4)+((horizontal*6)/2), posY-(heightSlot*2)+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, tostring("slotType"));
		moSetGetGui["editButton2"]:setPosition(posX+widthSlot+(horizontal*10), posY-(heightSlot*2));			
		moSetGetGui["editButton2"]:render();
		renderText(posX+widthSlot+(horizontal*10)+((horizontal*5)/2), posY-(heightSlot*2)+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, tostring("category"));
		moSetGetGui["editButton2"]:setPosition(posX+widthSlot+(horizontal*15), posY-(heightSlot*2));			
		moSetGetGui["editButton2"]:render();
		renderText(posX+widthSlot+(horizontal*15)+((horizontal*5)/2), posY-(heightSlot*2)+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, tostring("separated"));
		moSetGetGui["editButton2"]:setPosition(posX+widthSlot+(horizontal*20), posY-(heightSlot*2));			
		moSetGetGui["editButton2"]:render();
		renderText(posX+widthSlot+(horizontal*20)+((horizontal*5)/2), posY-(heightSlot*2)+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, tostring("placeable"));
		moSetGetGui["editButton4"]:setPosition(posX+widthSlot+(horizontal*25), posY-(heightSlot*2));			
		moSetGetGui["editButton4"]:render();		
		renderText(posX+widthSlot+(horizontal*25)+((horizontal*18)/2), posY-(heightSlot*2)+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, tostring("displayName"));
		moSetGetGui["editButton5"]:setPosition(posX+widthSlot+(horizontal*43), posY-(heightSlot*2));			
		moSetGetGui["editButton5"]:render();		
		renderText(posX+widthSlot+(horizontal*44)+((horizontal*31)/2), posY-(heightSlot*2)+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, tostring("xmlModString"));
		moSetGetGui["editButton1"]:setPosition(posX+widthSlot+(horizontal*74), posY-(heightSlot*2));			
		moSetGetGui["editButton1"]:render();		
		renderText(posX+widthSlot+(horizontal*75)+((horizontal*2)/2), posY-(heightSlot*2)+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, tostring("position"));
		setTextAlignment(RenderText.ALIGN_LEFT);		
		if moSetGetGui.showGui.mapObjects and moObjectsMap[tostring(moSetGetGui.showGui.editSlot).. "Found"] > 0 then
			moSetGetGui.showGui.slotEdit.mapObjects = {};
			for a=1, moObjectsMap[tostring(moSetGetGui.showGui.editSlot).. "Found"] do		
				if moObjectsMap[moSetGetGui.showGui.editSlot][a] ~= nil then
					local editLine = false;
					if moSetGetGui.showGui.inputEditState == 1 and moSetGetGui.showGui.inputEditLine == a then editLine = true;end;
					local splitString = Utils.splitString(",", moObjectsMap[tostring(moSetGetGui.showGui.editSlot)][a]);					
					local modType = splitString[1];
					local xmlModString = string.lower(splitString[2]);
					local category = Utils.getNoNil(splitString[3], "factory");
					local separated = false;
					local isHiden = false;
					local posTxt = "";
					if Utils.getNoNil(splitString[4], "false") == "true" then separated = true;end;
					if Utils.getNoNil(splitString[5], "false") == "true" then isHiden = true;end;
					local displayName = Utils.getNoNil(splitString[6], moLanguageXml:getTxt("factory", nil, "Factory".. a));					
					moSetGetGui.showGui.slotEdit.mapObjects[a] = {modType = modType, xmlModString = xmlModString, category = category, separated = separated, isHiden = isHiden, displayName = displayName};
					setTextColor(unpack(moSetGetGui.cfgMenue.color1));
					moSetGetGui["editButton1"]:setPosition(posX+widthSlot, posY-(vertical*(b+1)));			
					moSetGetGui["editButton1"]:render();
					if editLine then
						moSetGetGui["editContinue1"]:setPosition(posX+widthSlot, posY-(vertical*(b+1)));			
						moSetGetGui["editContinue1"]:render();
						moDraw.showGui:setClickAreaEditObject(self, posX+widthSlot, posY-(vertical*(b+1)), horizontal, vertical, a, tostring(moSetGetGui.showGui.editSlot), false);
					end;
					renderText(posX+widthSlot+(horizontal*1), posY-(vertical*(b+1))+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, tostring(modType));
					--renderText(posX+widthSlot, posY-(vertical*(b+1))+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, " modType:".. tostring(modType).. " | slotType:".. tostring(moSetGetGui.showGui.editSlot).. " | xmlModString:".. tostring(xmlModString).. " | category:".. tostring(category).. " | separated:".. tostring(separated).. " | displayName:".. tostring(displayName));
					moSetGetGui["editButton3"]:setPosition(posX+widthSlot+(horizontal*4), posY-(vertical*(b+1)));			
					moSetGetGui["editButton3"]:render();
					if editLine then
						moSetGetGui["editContinue1"]:setPosition(posX+widthSlot+(horizontal*4), posY-(vertical*(b+1)));			
						moSetGetGui["editContinue1"]:render();
						moDraw.showGui:setClickAreaEditObject(self, posX+widthSlot+(horizontal*4), posY-(vertical*(b+1)), horizontal, vertical, a, tostring(moSetGetGui.showGui.editSlot), false);
					end;
					renderText(posX+widthSlot+(horizontal*5), posY-(vertical*(b+1))+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, tostring(moSetGetGui.showGui.editSlot));
					moSetGetGui["editButton2"]:setPosition(posX+widthSlot+(horizontal*10), posY-(vertical*(b+1)));			
					moSetGetGui["editButton2"]:render();
					if editLine then
						moSetGetGui["editContinue1"]:setPosition(posX+widthSlot+(horizontal*10), posY-(vertical*(b+1)));			
						moSetGetGui["editContinue1"]:render();
						moDraw.showGui:setClickAreaEditObject(self, posX+widthSlot+(horizontal*10), posY-(vertical*(b+1)), horizontal, vertical, a, tostring(moSetGetGui.showGui.editSlot), false);
					end;
					renderText(posX+widthSlot+(horizontal*11), posY-(vertical*(b+1))+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, tostring(category));
					moSetGetGui["editButton2"]:setPosition(posX+widthSlot+(horizontal*15), posY-(vertical*(b+1)));			
					moSetGetGui["editButton2"]:render();
					if editLine then
						moSetGetGui["editContinue1"]:setPosition(posX+widthSlot+(horizontal*15), posY-(vertical*(b+1)));			
						moSetGetGui["editContinue1"]:render();
						moDraw.showGui:setClickAreaEditObject(self, posX+widthSlot+(horizontal*15), posY-(vertical*(b+1)), horizontal, vertical, a, tostring(moSetGetGui.showGui.editSlot), false);
					end;
					renderText(posX+widthSlot+(horizontal*16), posY-(vertical*(b+1))+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, tostring(separated));
					moSetGetGui["editButton2"]:setPosition(posX+widthSlot+(horizontal*20), posY-(vertical*(b+1)));			
					moSetGetGui["editButton2"]:render();
					if editLine then
						moSetGetGui["editContinue1"]:setPosition(posX+widthSlot+(horizontal*20), posY-(vertical*(b+1)));			
						moSetGetGui["editContinue1"]:render();
						moDraw.showGui:setClickAreaEditObject(self, posX+widthSlot+(horizontal*20), posY-(vertical*(b+1)), horizontal, vertical, a, tostring(moSetGetGui.showGui.editSlot), false);
					end;
					renderText(posX+widthSlot+(horizontal*21), posY-(vertical*(b+1))+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, tostring("false"));
					moSetGetGui["editButton4"]:setPosition(posX+widthSlot+(horizontal*25), posY-(vertical*(b+1)));			
					moSetGetGui["editButton4"]:render();
					if editLine then
						if moSetGetGui.showGui.inputState == 1 then
							moSetGetGui["editSlot"]:setPosition(posX+widthSlot+(horizontal*25), posY-(vertical*(b+1))+0.002);			
							moSetGetGui["editSlot"]:render();
							if moSetGetGui.showGui.timer < 250 then
								posTxt = tostring(moSetGetGui.showGui.inputTxt).. "_";
							else
								posTxt = tostring(moSetGetGui.showGui.inputTxt);
							end;
						else
							moSetGetGui["slotNotOkay"]:setPosition(posX+widthSlot+(horizontal*25), posY-(vertical*(b+1)));			
							moSetGetGui["slotNotOkay"]:render();
							posTxt = tostring(displayName);
						end;
						moDraw.showGui:setClickAreaEditObject(self, posX+widthSlot+(horizontal*25), posY-(vertical*(b+1)), horizontal, vertical, a, tostring(moSetGetGui.showGui.editSlot), false);
					else
						posTxt = tostring(displayName);
					end;
					renderText(posX+widthSlot+(horizontal*26), posY-(vertical*(b+1))+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, tostring(posTxt));
					moSetGetGui["editButton5"]:setPosition(posX+widthSlot+(horizontal*43), posY-(vertical*(b+1)));			
					moSetGetGui["editButton5"]:render();
					if editLine then
						if moSetGetGui.showGui.inputState == 2 then
							moSetGetGui["editSlot"]:setPosition(posX+widthSlot+(horizontal*43), posY-(vertical*(b+1))+0.002);			
							moSetGetGui["editSlot"]:render();
							if moSetGetGui.showGui.timer < 250 then
								posTxt = tostring(moSetGetGui.showGui.inputTxt).. "_";
							else
								posTxt = tostring(moSetGetGui.showGui.inputTxt);
							end;
						else
							moSetGetGui["slotNotOkay"]:setPosition(posX+widthSlot+(horizontal*43), posY-(vertical*(b+1)));			
							moSetGetGui["slotNotOkay"]:render();
							posTxt = tostring(xmlModString);
						end;
						moDraw.showGui:setClickAreaEditObject(self, posX+widthSlot+(horizontal*43), posY-(vertical*(b+1)), horizontal, vertical, a, tostring(moSetGetGui.showGui.editSlot), false);
					else
						posTxt = tostring(xmlModString);
					end;
					renderText(posX+widthSlot+(horizontal*44), posY-(vertical*(b+1))+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, tostring(posTxt));
					moSetGetGui["editButton1"]:setPosition(posX+widthSlot+(horizontal*74), posY-(vertical*(b+1)));			
					moSetGetGui["editButton1"]:render();
					if editLine then
						moSetGetGui["slotPriceUp"]:setPosition(posX+widthSlot+(horizontal*75), posY-(vertical*(b+1)));
						moSetGetGui["slotPriceUp"]:render();
						if a == 1 then
							moSetGetGui["notReadySmall"]:setPosition(posX+widthSlot+(horizontal*75), posY-(vertical*(b+1))+0.001);
							moSetGetGui["notReadySmall"]:render();
						end;
						moDraw.showGui:setClickAreaEditObject(self, posX+widthSlot+(horizontal*75), posY-(vertical*(b+1)), horizontal, vertical, a, tostring(moSetGetGui.showGui.editSlot), false);
					end;
					if editLine then
						moSetGetGui["slotPriceDown"]:setPosition(posX+widthSlot+(horizontal*76), posY-(vertical*(b+1))-0.0005);
						moSetGetGui["slotPriceDown"]:render();
						if a >= tonumber(moObjectsMap[tostring(moSetGetGui.showGui.editSlot).. "Found"]) then
							moSetGetGui["notReadySmall"]:setPosition(posX+widthSlot+(horizontal*76), posY-(vertical*(b+1))+0.001);
							moSetGetGui["notReadySmall"]:render();
						end;
						moDraw.showGui:setClickAreaEditObject(self, posX+widthSlot+(horizontal*76), posY-(vertical*(b+1)), horizontal, vertical, a, tostring(moSetGetGui.showGui.editSlot), false);
					end;
					if editLine then
						moSetGetGui["slotHotSpot"]:setPosition(posX+widthSlot+(horizontal*78), posY-(vertical*(b+1)));			
						moSetGetGui["slotHotSpot"]:render();
						if isHiden then
							moSetGetGui["slotNotOkay"]:setPosition(posX+widthSlot+(horizontal*78), posY-(vertical*(b+1)));			
							moSetGetGui["slotNotOkay"]:render();
						end;
						moDraw.showGui:setClickAreaEditObject(self, posX+widthSlot+(horizontal*78), posY-(vertical*(b+1)), horizontal, vertical, a, tostring(moSetGetGui.showGui.editSlot), false);
					end;					
					if moSetGetGui.showGui.timer < 250 or not editLine then
						moSetGetGui["editSlot"]:setPosition(posX+widthSlot+(horizontal*79), posY-(vertical*(b+1))+0.001);
						moSetGetGui["editSlot"]:render();
					end;
					moDraw.showGui:setClickAreaEditSlot(self, posX+widthSlot+(horizontal*79), posY-(vertical*(b+1)), horizontal, vertical, a, tostring(moSetGetGui.showGui.editSlot), false);
					if editLine then
						moSetGetGui["slotNotOkay"]:setPosition(posX+widthSlot+(horizontal*81), posY-(vertical*(b+1)));			
						moSetGetGui["slotNotOkay"]:render();
						moDraw.showGui:setClickAreaEditObject(self, posX+widthSlot+(horizontal*81), posY-(vertical*(b+1)), horizontal, vertical, a, tostring(moSetGetGui.showGui.editSlot), false);
					end;
					b=b+1;
				end;
			end;
		end;
		if moSetGetGui.showGui.placeableObjects and moObjectsPlaceable[tostring(moSetGetGui.showGui.editSlot).. "Found"] > 0 then			
			moSetGetGui.showGui.slotEdit.placeableObjects = {};
			for a=1, moObjectsPlaceable[tostring(moSetGetGui.showGui.editSlot).. "Found"] do		
				if moObjectsPlaceable[moSetGetGui.showGui.editSlot][a] ~= nil then
					local editLine = false;
					if moSetGetGui.showGui.inputEditState == 2 and moSetGetGui.showGui.inputEditLine == a then editLine = true;end;
					local splitString = Utils.splitString(",", moObjectsPlaceable[tostring(moSetGetGui.showGui.editSlot)][a]);					
					local modType = splitString[1];
					local xmlModString = string.lower(splitString[2]);
					local category = Utils.getNoNil(splitString[3], "factory");
					local separated = false;
					local isHiden = false;
					local posTxt = "";
					if Utils.getNoNil(splitString[4], "false") == "true" then separated = true;end;
					if Utils.getNoNil(splitString[5], "false") == "true" then isHiden = true;end;
					local displayName = Utils.getNoNil(splitString[6], moLanguageXml:getTxt("factory", nil, "Factory".. a));
					moSetGetGui.showGui.slotEdit.placeableObjects[a] = {modType = modType, xmlModString = xmlModString, category = category, separated = separated, isHiden = isHiden, displayName = displayName};
					--renderText(posX+widthSlot, posY-(vertical*(b+1))+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, " modType:".. tostring(modType).. " | slotType:".. tostring(moSetGetGui.showGui.editSlot).. " | xmlModString:".. tostring(xmlModString).. " | category:".. tostring(category).. " | separated:".. tostring(separated).. " | displayName:".. tostring(displayName));
					setTextColor(unpack(moSetGetGui.cfgMenue.color1));
					moSetGetGui["editButton1"]:setPosition(posX+widthSlot, posY-(vertical*(b+1)));			
					moSetGetGui["editButton1"]:render();
					if editLine then
						moSetGetGui["editContinue1"]:setPosition(posX+widthSlot, posY-(vertical*(b+1)));			
						moSetGetGui["editContinue1"]:render();
						moDraw.showGui:setClickAreaEditObject(self, posX+widthSlot, posY-(vertical*(b+1)), horizontal, vertical, a, tostring(moSetGetGui.showGui.editSlot), true);
					end;
					renderText(posX+widthSlot+(horizontal*1), posY-(vertical*(b+1))+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, tostring(modType));
					--renderText(posX+widthSlot, posY-(vertical*(b+1))+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, " modType:".. tostring(modType).. " | slotType:".. tostring(moSetGetGui.showGui.editSlot).. " | xmlModString:".. tostring(xmlModString).. " | category:".. tostring(category).. " | separated:".. tostring(separated).. " | displayName:".. tostring(displayName));
					moSetGetGui["editButton3"]:setPosition(posX+widthSlot+(horizontal*4), posY-(vertical*(b+1)));			
					moSetGetGui["editButton3"]:render();
					if editLine then
						moSetGetGui["editContinue1"]:setPosition(posX+widthSlot+(horizontal*4), posY-(vertical*(b+1)));			
						moSetGetGui["editContinue1"]:render();
						moDraw.showGui:setClickAreaEditObject(self, posX+widthSlot+(horizontal*4), posY-(vertical*(b+1)), horizontal, vertical, a, tostring(moSetGetGui.showGui.editSlot), true);
					end;
					renderText(posX+widthSlot+(horizontal*5), posY-(vertical*(b+1))+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, tostring(moSetGetGui.showGui.editSlot));
					moSetGetGui["editButton2"]:setPosition(posX+widthSlot+(horizontal*10), posY-(vertical*(b+1)));			
					moSetGetGui["editButton2"]:render();
					if editLine then
						moSetGetGui["editContinue1"]:setPosition(posX+widthSlot+(horizontal*10), posY-(vertical*(b+1)));			
						moSetGetGui["editContinue1"]:render();
						moDraw.showGui:setClickAreaEditObject(self, posX+widthSlot+(horizontal*10), posY-(vertical*(b+1)), horizontal, vertical, a, tostring(moSetGetGui.showGui.editSlot), true);
					end;
					renderText(posX+widthSlot+(horizontal*11), posY-(vertical*(b+1))+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, tostring(category));
					moSetGetGui["editButton2"]:setPosition(posX+widthSlot+(horizontal*15), posY-(vertical*(b+1)));			
					moSetGetGui["editButton2"]:render();
					if editLine then
						moSetGetGui["editContinue1"]:setPosition(posX+widthSlot+(horizontal*15), posY-(vertical*(b+1)));			
						moSetGetGui["editContinue1"]:render();
						moDraw.showGui:setClickAreaEditObject(self, posX+widthSlot+(horizontal*15), posY-(vertical*(b+1)), horizontal, vertical, a, tostring(moSetGetGui.showGui.editSlot), true);
					end;
					renderText(posX+widthSlot+(horizontal*16), posY-(vertical*(b+1))+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, tostring(separated));
					moSetGetGui["editButton2"]:setPosition(posX+widthSlot+(horizontal*20), posY-(vertical*(b+1)));			
					moSetGetGui["editButton2"]:render();
					if editLine then
						moSetGetGui["editContinue1"]:setPosition(posX+widthSlot+(horizontal*20), posY-(vertical*(b+1)));			
						moSetGetGui["editContinue1"]:render();
						moDraw.showGui:setClickAreaEditObject(self, posX+widthSlot+(horizontal*20), posY-(vertical*(b+1)), horizontal, vertical, a, tostring(moSetGetGui.showGui.editSlot), true);
					end;
					renderText(posX+widthSlot+(horizontal*21), posY-(vertical*(b+1))+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, tostring("true"));
					moSetGetGui["editButton4"]:setPosition(posX+widthSlot+(horizontal*25), posY-(vertical*(b+1)));			
					moSetGetGui["editButton4"]:render();
					if editLine then
						if moSetGetGui.showGui.inputState == 1 then
							moSetGetGui["editSlot"]:setPosition(posX+widthSlot+(horizontal*25), posY-(vertical*(b+1))+0.002);			
							moSetGetGui["editSlot"]:render();
							if moSetGetGui.showGui.timer < 250 then
								posTxt = tostring(moSetGetGui.showGui.inputTxt).. "_";
							else
								posTxt = tostring(moSetGetGui.showGui.inputTxt);
							end;
						else
							moSetGetGui["slotNotOkay"]:setPosition(posX+widthSlot+(horizontal*25), posY-(vertical*(b+1)));			
							moSetGetGui["slotNotOkay"]:render();
							posTxt = tostring(displayName);
						end;
						moDraw.showGui:setClickAreaEditObject(self, posX+widthSlot+(horizontal*25), posY-(vertical*(b+1)), horizontal, vertical, a, tostring(moSetGetGui.showGui.editSlot), true);
					else
						posTxt = tostring(displayName);
					end;
					renderText(posX+widthSlot+(horizontal*26), posY-(vertical*(b+1))+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, tostring(posTxt));
					moSetGetGui["editButton5"]:setPosition(posX+widthSlot+(horizontal*43), posY-(vertical*(b+1)));			
					moSetGetGui["editButton5"]:render();
					if editLine then
						if moSetGetGui.showGui.inputState == 2 then
							moSetGetGui["editSlot"]:setPosition(posX+widthSlot+(horizontal*43), posY-(vertical*(b+1))+0.002);			
							moSetGetGui["editSlot"]:render();
							if moSetGetGui.showGui.timer < 250 then
								posTxt = tostring(moSetGetGui.showGui.inputTxt).. "_";
							else
								posTxt = tostring(moSetGetGui.showGui.inputTxt);
							end;
						else
							moSetGetGui["slotNotOkay"]:setPosition(posX+widthSlot+(horizontal*43), posY-(vertical*(b+1)));			
							moSetGetGui["slotNotOkay"]:render();
							posTxt = tostring(xmlModString);
						end;
						moDraw.showGui:setClickAreaEditObject(self, posX+widthSlot+(horizontal*43), posY-(vertical*(b+1)), horizontal, vertical, a, tostring(moSetGetGui.showGui.editSlot), true);
					else
						posTxt = tostring(xmlModString);
					end;
					renderText(posX+widthSlot+(horizontal*44), posY-(vertical*(b+1))+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, tostring(posTxt));
					moSetGetGui["editButton1"]:setPosition(posX+widthSlot+(horizontal*74), posY-(vertical*(b+1)));			
					moSetGetGui["editButton1"]:render();
					if editLine then
						moSetGetGui["slotPriceUp"]:setPosition(posX+widthSlot+(horizontal*75), posY-(vertical*(b+1)));
						moSetGetGui["slotPriceUp"]:render();
						if a == 1 then
							moSetGetGui["notReadySmall"]:setPosition(posX+widthSlot+(horizontal*75), posY-(vertical*(b+1))+0.001);
							moSetGetGui["notReadySmall"]:render();
						end;
						moDraw.showGui:setClickAreaEditObject(self, posX+widthSlot+(horizontal*75), posY-(vertical*(b+1)), horizontal, vertical, a, tostring(moSetGetGui.showGui.editSlot), true);
					end;
					if editLine then
						moSetGetGui["slotPriceDown"]:setPosition(posX+widthSlot+(horizontal*76), posY-(vertical*(b+1))-0.0005);
						moSetGetGui["slotPriceDown"]:render();
						if a >= tonumber(moObjectsPlaceable[tostring(moSetGetGui.showGui.editSlot).. "Found"]) then
							moSetGetGui["notReadySmall"]:setPosition(posX+widthSlot+(horizontal*76), posY-(vertical*(b+1))+0.001);
							moSetGetGui["notReadySmall"]:render();
						end;
						moDraw.showGui:setClickAreaEditObject(self, posX+widthSlot+(horizontal*76), posY-(vertical*(b+1)), horizontal, vertical, a, tostring(moSetGetGui.showGui.editSlot), true);
					end;
					if editLine then
						moSetGetGui["slotHotSpot"]:setPosition(posX+widthSlot+(horizontal*78), posY-(vertical*(b+1)));			
						moSetGetGui["slotHotSpot"]:render();
						if isHiden then
							moSetGetGui["slotNotOkay"]:setPosition(posX+widthSlot+(horizontal*78), posY-(vertical*(b+1))+0.001);			
							moSetGetGui["slotNotOkay"]:render();
						end;
						moDraw.showGui:setClickAreaEditObject(self, posX+widthSlot+(horizontal*78), posY-(vertical*(b+1)), horizontal, vertical, a, tostring(moSetGetGui.showGui.editSlot), true);
					end;
					if moSetGetGui.showGui.timer < 250 or not editLine then
						moSetGetGui["editSlot"]:setPosition(posX+widthSlot+(horizontal*79), posY-(vertical*(b+1))+0.001);
						moSetGetGui["editSlot"]:render();
					end;
					moDraw.showGui:setClickAreaEditSlot(self, posX+widthSlot+(horizontal*79), posY-(vertical*(b+1)), horizontal, vertical, a, tostring(moSetGetGui.showGui.editSlot), true);
					if editLine then
						moSetGetGui["slotNotOkay"]:setPosition(posX+widthSlot+(horizontal*81), posY-(vertical*(b+1)));			
						moSetGetGui["slotNotOkay"]:render();
						moDraw.showGui:setClickAreaEditObject(self, posX+widthSlot+(horizontal*81), posY-(vertical*(b+1)), horizontal, vertical, a, tostring(moSetGetGui.showGui.editSlot), true);
					end;
					b=b+1;
				end;
			end;
		end;
	end;
	moSetGetGui:setOverlay(self, moSetGetGui["designGround"], posX+(widthSlot), posY-(vertical*b), widthSlot*42, vertical*(b+3.5));
	setTextColor(1, 1, 1, 1);
	setTextAlignment(false);
	setTextBold(false);	
end;

function moDraw.showGui:setOpenChangeEdit(self)
	moSetGetGui.showGui.clickArea.editFruit = {};	
	moSetGetGui.showGui.clickArea.editStation = {};
	moSetGetGui.showGui.timer = moSetGetGui.showGui.timer-5;
	if moSetGetGui.showGui.timer <= 0 then moSetGetGui.showGui.timer = 500;end;	
	local posX = moSetGetGui.showGui.posX+0.001;
	local posY = moSetGetGui.showGui.posY;
	local size = moSetGetGui.showGui.size;
	local horizontal = moSetGetGui.buttonGfxWidth1*moSetGetGui.zoomOutInCfgMenue*4;
	local vertical = moSetGetGui.buttonGfxHeight1*moSetGetGui.zoomOutInCfgMenue*5;
	local widthSlot = moSetGetGui.buttonGfxWidth1*moSetGetGui.zoomOutInCfgMenue*8
	local heightSlot = moSetGetGui.buttonGfxHeight1*moSetGetGui.zoomOutInCfgMenue*8
	
	
	
	local height = moSetGetGui.buttonGfxHeight1*(size*1000);
	local heightDefault = moSetGetGui.buttonGfxHeight1*(size*1000);	
	
	local currentPosY = posY;
	function nextLine(setHeight, posYnew, setLine, posYline, widthLine, heightLine, onlyLine)
		if setLine then
			moSetGetGui:setOverlay(self, moSetGetGui["designLine"], posX, currentPosY-(posYline), widthLine, heightLine);
			moSetGetGui["designLine"]:render();
			if onlyLine then return;end;
		end;		
		if setHeight then height = height+(heightDefault)+posYnew;end; --height+size+posNew;
		currentPosY = currentPosY-(heightDefault)-posYnew; --posY-(size+posYnew);		
	end;
	setTextBold(true);
	
	local slotNames = Utils.splitString(" ", moGuiMiniPdaSlots.acceptedName)
	moSetGetGui["designGround"]:render();		
	local b = 0;	
	moSetGetGui["close"]:setPosition(posX+widthSlot, posY+heightSlot);			
	moSetGetGui["close"]:render();
	if moSetGetGui.showGui.save then
		moSetGetGui["saveOn"]:setPosition(posX+(widthSlot*2), posY+heightSlot);			
		moSetGetGui["saveOn"]:render();
	else
		moSetGetGui["saveOff"]:setPosition(posX+(widthSlot*2), posY+heightSlot);			
		moSetGetGui["saveOff"]:render();
	end;
	
	if string.len(moSetGetGui.showGui.inputTxtError) > 0 then
		setTextColor(unpack(moSetGetGui.cfgMenue.color3));
		moSetGetGui["warning"]:setPosition(posX+(widthSlot*3), posY+heightSlot);			
		moSetGetGui["warning"]:render();
		renderText(posX+(widthSlot*4), posY+heightSlot+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, tostring(moSetGetGui.showGui.inputTxtError));
		renderText(posX+(widthSlot*4), posY+heightSlot+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, tostring(moSetGetGui.showGui.inputTxtError));
	end;
	setTextColor(unpack(moGuiMiniPdaSlots.demandColor));	
	if moGeneralSettings.saveGameClientSettings then		
		local posTxt = ".../".. string.gsub(MultiOverlayV2.saveGameDir, getUserProfileAppPath(), "");
		renderText(posX+(widthSlot)+0.001, posY+0.0035, moSetGetGui.posCfgMenue.size[3]-0.0025, tostring(" Save: ").. tostring(posTxt));
	else		
		local posTxt = ".../".. string.gsub(MultiOverlayV2.settingsDir, getUserProfileAppPath(), "");
		renderText(posX+(widthSlot)+0.001, posY+0.0035, moSetGetGui.posCfgMenue.size[3]-0.0025, tostring(" Save: ").. tostring(posTxt));
	end;
	if not moGeneralSettings.saveGameLanguageSettings and moSetGetGui.showGui.inputState == 1 then
		local posTxt = ".../".. string.gsub(MultiOverlayV2.settingsDir, getUserProfileAppPath(), "");
		renderText(posX+(widthSlot)+0.001, posY-0.006, moSetGetGui.posCfgMenue.size[3]-0.0025, tostring(" Save(Language): ").. tostring(posTxt));
	end;
	b = 2;	
			
		if moSetGetGui.page[1].clickArea.multiChange.fruitChange ~= nil then
			setTextAlignment(RenderText.ALIGN_CENTER);
			moSetGetGui["editButton4"]:setPosition(posX+widthSlot, posY-(heightSlot*1));			
			moSetGetGui["editButton4"]:render();
			renderText(posX+widthSlot+((horizontal*18)/2), posY-(heightSlot)+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, tostring("fruitName"));
			moSetGetGui["editButton3"]:setPosition(posX+widthSlot+(horizontal*18), posY-(heightSlot));			
			moSetGetGui["editButton3"]:render();
			renderText(posX+widthSlot+(horizontal*18)+((horizontal*6)/2), posY-(heightSlot)+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, tostring("pricePerLiter"));
			moSetGetGui["editButton3"]:setPosition(posX+widthSlot+(horizontal*24), posY-(heightSlot));			
			moSetGetGui["editButton3"]:render();
			renderText(posX+widthSlot+(horizontal*24)+((horizontal*6)/2), posY-(heightSlot)+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, tostring("amount"));
			moSetGetGui["editButton3"]:setPosition(posX+widthSlot+(horizontal*30), posY-(heightSlot));			
			moSetGetGui["editButton3"]:render();
			renderText(posX+widthSlot+(horizontal*30)+((horizontal*6)/2), posY-(heightSlot)+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, tostring("viewPDA"));
			moSetGetGui["editButton3"]:setPosition(posX+widthSlot+(horizontal*36), posY-(heightSlot));			
			moSetGetGui["editButton3"]:render();
			renderText(posX+widthSlot+(horizontal*36)+((horizontal*6)/2), posY-(heightSlot)+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, tostring("siloUnload"));
			moSetGetGui["editButton3"]:setPosition(posX+widthSlot+(horizontal*42), posY-(heightSlot));			
			moSetGetGui["editButton3"]:render();
			renderText(posX+widthSlot+(horizontal*42)+((horizontal*6)/2), posY-(heightSlot)+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, tostring("siloLoad"));
			local noSiloAmount = false;
			local farmSilo = moGeneralSettings.multiFarmSilo;
			setTextAlignment(RenderText.ALIGN_LEFT);
			setTextColor(unpack(moSetGetGui.cfgMenue.color1));
			local desc = moSetGetGui.page[1].clickArea.multiChange.fruitChange.desc;
			local fruitName = moFillTypes[desc].fruitName;
			local descName = moFillTypes[desc].descName;			
			local pricePerLiter = string.format("%.5f", Utils.getNoNil(moFillTypes[desc].pricePerLiter,0.00));
			local amount = Utils.getNoNil(moFillTypes[desc].siloAmount[farmSilo],0); --g_i18n:formatNumber(Utils.getNoNil(moFillTypes[desc].siloAmount[farmSilo],0));
			if string.find(moFillTypes[desc].descName, "milk") or string.find(moFillTypes[desc].descName, "egg") or string.find(moFillTypes[desc].descName, "water") or string.find(moFillTypes[desc].descName, "fuel") then noSiloAmount = true;end;
			moSetGetGui["editButton4"]:setPosition(posX+widthSlot, posY-(vertical*(b+1)));			
			moSetGetGui["editButton4"]:render();
			local posTxt = "";
			if moSetGetGui.showGui.inputState == 1 then
				moSetGetGui["editSlot"]:setPosition(posX+widthSlot, posY-(vertical*(b+1)));			
				moSetGetGui["editSlot"]:render();
				if moSetGetGui.showGui.timer < 250 then
					posTxt = tostring(moSetGetGui.showGui.inputTxt).. "_";
				else
					posTxt = tostring(moSetGetGui.showGui.inputTxt);
				end;
			else
				moSetGetGui["slotNotOkay"]:setPosition(posX+widthSlot, posY-(vertical*(b+1))+0.001);			
				moSetGetGui["slotNotOkay"]:render();
				posTxt = tostring(fruitName);
			end;				
			renderText(posX+widthSlot+(horizontal*1), posY-(vertical*(b+1))+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, tostring(posTxt));
			moDraw.showGui:setClickAreaEditFruit(self, posX+widthSlot, posY-(vertical*(b+1)), horizontal, vertical, desc, "fruitName");
			renderText(posX+(widthSlot)+0.001, posY+0.015, moSetGetGui.posCfgMenue.size[3]-0.0025, tostring(" LS Name: ").. tostring(descName));
			moSetGetGui["editButton3"]:setPosition(posX+widthSlot+(horizontal*18), posY-(vertical*(b+1)));			
			moSetGetGui["editButton3"]:render();
			if not MultiOverlayV2.isMp then
				if moSetGetGui.showGui.inputState == 2 then
					moSetGetGui["editSlot"]:setPosition(posX+widthSlot+(horizontal*18), posY-(vertical*(b+1))+0.002);			
					moSetGetGui["editSlot"]:render();
					if moSetGetGui.showGui.timer < 250 then
						posTxt = tostring(moSetGetGui.showGui.inputTxt).. "_";
					else
						posTxt = tostring(moSetGetGui.showGui.inputTxt);
					end;
				else				
					moSetGetGui["slotNotOkay"]:setPosition(posX+widthSlot+(horizontal*18), posY-(vertical*(b+1))+0.001);			
					moSetGetGui["slotNotOkay"]:render();				
					posTxt = pricePerLiter; --string.format("%.5f", Utils.getNoNil(moFillTypes[desc].pricePerLiter,0.00));
				end;
				renderText(posX+widthSlot+(horizontal*19), posY-(vertical*(b+1))+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, tostring(posTxt));
				moDraw.showGui:setClickAreaEditFruit(self, posX+widthSlot+(horizontal*18), posY-(vertical*(b+1)), horizontal, vertical, desc, "pricePerLiter");
			else
				moSetGetGui["notReadySmall"]:setPosition(posX+widthSlot+(horizontal*18), posY-(vertical*(b+1))+0.001);			
				moSetGetGui["notReadySmall"]:render();
				posTxt = pricePerLiter;
				renderText(posX+widthSlot+(horizontal*19), posY-(vertical*(b+1))+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, tostring(posTxt));
			end;
			
			moSetGetGui["editButton3"]:setPosition(posX+widthSlot+(horizontal*24), posY-(vertical*(b+1)));			
			moSetGetGui["editButton3"]:render();
			if not MultiOverlayV2.isMp then
				if moSetGetGui.showGui.inputState == 3 then
					moSetGetGui["editSlot"]:setPosition(posX+widthSlot+(horizontal*24), posY-(vertical*(b+1))+0.002);			
					moSetGetGui["editSlot"]:render();
					if moSetGetGui.showGui.timer < 250 then
						posTxt = tostring(moSetGetGui.showGui.inputTxt).. "_";
					else
						posTxt = tostring(moSetGetGui.showGui.inputTxt);
					end;
				else
					moSetGetGui["slotNotOkay"]:setPosition(posX+widthSlot+(horizontal*24), posY-(vertical*(b+1))+0.001);			
					moSetGetGui["slotNotOkay"]:render();
					posTxt = g_i18n:formatNumber(amount,0);
				end;			
				renderText(posX+widthSlot+(horizontal*25), posY-(vertical*(b+1))+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, tostring(posTxt));
				moDraw.showGui:setClickAreaEditFruit(self, posX+widthSlot+(horizontal*24), posY-(vertical*(b+1)), horizontal, vertical, desc, "amount");
			else
				moSetGetGui["notReadySmall"]:setPosition(posX+widthSlot+(horizontal*24), posY-(vertical*(b+1))+0.001);			
				moSetGetGui["notReadySmall"]:render();
				posTxt = g_i18n:formatNumber(amount,0);
				renderText(posX+widthSlot+(horizontal*25), posY-(vertical*(b+1))+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, tostring(posTxt));				
			end;
			moSetGetGui["editButton3"]:setPosition(posX+widthSlot+(horizontal*30), posY-(vertical*(b+1)));			
			moSetGetGui["editButton3"]:render();
			if not MultiOverlayV2.isMp then
				if moFillTypes[desc].partOfEconomy then
					moSetGetGui["slotOkay"]:setPosition(posX+widthSlot+(horizontal*30)+((horizontal*5)/2), posY-(vertical*(b+1))+0.001);			
					moSetGetGui["slotOkay"]:render();
				else
					moSetGetGui["slotNotOkay"]:setPosition(posX+widthSlot+(horizontal*30)+((horizontal*5)/2), posY-(vertical*(b+1))+0.001);			
					moSetGetGui["slotNotOkay"]:render();
				end;
				moDraw.showGui:setClickAreaEditFruit(self, posX+widthSlot+(horizontal*30)+((horizontal*5)/2), posY-(vertical*(b+1)), horizontal, vertical, desc, "partOfEconomy");
			else
				moSetGetGui["notReadySmall"]:setPosition(posX+widthSlot+(horizontal*30)+((horizontal*5)/2), posY-(vertical*(b+1))+0.001);			
				moSetGetGui["notReadySmall"]:render();
			end;
			
			moSetGetGui["editButton3"]:setPosition(posX+widthSlot+(horizontal*36), posY-(vertical*(b+1)));			
			moSetGetGui["editButton3"]:render();
			if noSiloAmount or MultiOverlayV2.isMp then
				moSetGetGui["notReadySmall"]:setPosition(posX+widthSlot+(horizontal*36)+((horizontal*5)/2), posY-(vertical*(b+1))+0.001);			
				moSetGetGui["notReadySmall"]:render();
			else			
				if moFillTypes[desc].siloUnLoad[farmSilo] then
					moSetGetGui["slotOkay"]:setPosition(posX+widthSlot+(horizontal*36)+((horizontal*5)/2), posY-(vertical*(b+1))+0.001);			
					moSetGetGui["slotOkay"]:render();
				else
					moSetGetGui["slotNotOkay"]:setPosition(posX+widthSlot+(horizontal*36)+((horizontal*5)/2), posY-(vertical*(b+1))+0.001);			
					moSetGetGui["slotNotOkay"]:render();
				end;
				moDraw.showGui:setClickAreaEditFruit(self, posX+widthSlot+(horizontal*36)+((horizontal*5)/2), posY-(vertical*(b+1)), horizontal, vertical, desc, "siloUnLoad");
			end;
			--renderText(posX+widthSlot+(horizontal*37), posY-(vertical*(b+1))+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, tostring(moFillTypes[desc].siloUnLoad[farmSilo]));
			
			moSetGetGui["editButton3"]:setPosition(posX+widthSlot+(horizontal*42), posY-(vertical*(b+1)));			
			moSetGetGui["editButton3"]:render();
			if noSiloAmount or MultiOverlayV2.isMp then
				moSetGetGui["notReadySmall"]:setPosition(posX+widthSlot+(horizontal*42)+((horizontal*5)/2), posY-(vertical*(b+1))+0.001);			
				moSetGetGui["notReadySmall"]:render();
			else
				if moFillTypes[desc].siloLoad[farmSilo] then
					moSetGetGui["slotOkay"]:setPosition(posX+widthSlot+(horizontal*42)+((horizontal*5)/2), posY-(vertical*(b+1))+0.001);			
					moSetGetGui["slotOkay"]:render();
				else
					moSetGetGui["slotNotOkay"]:setPosition(posX+widthSlot+(horizontal*42)+((horizontal*5)/2), posY-(vertical*(b+1)+0.001));			
					moSetGetGui["slotNotOkay"]:render();
				end;
				--renderText(posX+widthSlot+(horizontal*43), posY-(vertical*(b+1))+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, tostring(moFillTypes[desc].siloLoad[farmSilo]));
				moDraw.showGui:setClickAreaEditFruit(self, posX+widthSlot+(horizontal*42)+((horizontal*5)/2), posY-(vertical*(b+1)), horizontal, vertical, desc, "siloLoad");
			end;
			b=b+1;
		elseif moSetGetGui.page[1].clickArea.multiChange.stationChange ~= nil then
			local descName = moSetGetGui.page[1].clickArea.multiChange.stationChange.descName;
			local stationName = moStationes[descName].stationName;
			setTextAlignment(RenderText.ALIGN_CENTER);			
			moSetGetGui["editButton5"]:setPosition(posX+widthSlot, posY-(heightSlot*1));			
			moSetGetGui["editButton5"]:render();
			renderText(posX+widthSlot+((horizontal*31)/2), posY-(heightSlot)+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, tostring("stationName"));
			moSetGetGui["editButton4"]:setPosition(posX+widthSlot+(horizontal*31), posY-(heightSlot*1));		
			moSetGetGui["editButton4"]:render();
			renderText(posX+widthSlot+(horizontal*31)+((horizontal*18)/2), posY-(heightSlot)+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, tostring("fruitName"));
			moSetGetGui["editButton3"]:setPosition(posX+widthSlot+(horizontal*49), posY-(heightSlot*1));			
			moSetGetGui["editButton3"]:render();
			renderText(posX+widthSlot+(horizontal*49)+((horizontal*6)/2), posY-(heightSlot)+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, tostring("pricePerLiter"));
			moSetGetGui["editButton3"]:setPosition(posX+widthSlot+(horizontal*55), posY-(heightSlot*1));			
			moSetGetGui["editButton3"]:render();
			renderText(posX+widthSlot+(horizontal*55)+((horizontal*6)/2), posY-(heightSlot)+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, tostring("multiplier"));
			moSetGetGui["editButton3"]:setPosition(posX+widthSlot+(horizontal*61), posY-(heightSlot*1));			
			moSetGetGui["editButton3"]:render();
			renderText(posX+widthSlot+(horizontal*61)+((horizontal*6)/2), posY-(heightSlot)+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, tostring("difficulty"));
			moSetGetGui["editButton3"]:setPosition(posX+widthSlot+(horizontal*67), posY-(heightSlot*1));			
			moSetGetGui["editButton3"]:render();
			renderText(posX+widthSlot+(horizontal*67)+((horizontal*6)/2), posY-(heightSlot)+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, tostring("price(").. tostring(moLanguageXml:getTxt("moneysymbol")).. ")");
			moSetGetGui["editButton5"]:setPosition(posX+widthSlot, posY-(vertical*(b+1)));			
			moSetGetGui["editButton5"]:render();			
			setTextColor(unpack(moSetGetGui.cfgMenue.color1));
			setTextAlignment(RenderText.ALIGN_LEFT);
			local posTxt = "";
			if moSetGetGui.showGui.inputState == 1 then
				moSetGetGui["editSlot"]:setPosition(posX+widthSlot, posY-(vertical*(b+1)));			
				moSetGetGui["editSlot"]:render();
				if moSetGetGui.showGui.timer < 250 then
					posTxt = tostring(moSetGetGui.showGui.inputTxt).. "_";
				else
					posTxt = tostring(moSetGetGui.showGui.inputTxt);
				end;
			else
				moSetGetGui["slotNotOkay"]:setPosition(posX+widthSlot, posY-(vertical*(b+1))+0.001);			
				moSetGetGui["slotNotOkay"]:render();
				posTxt = tostring(stationName);
			end;				
			renderText(posX+widthSlot+(horizontal*1), posY-(vertical*(b+1))+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, tostring(posTxt));			
			moDraw.showGui:setClickAreaEditStation(self, posX+widthSlot, posY-(vertical*(b+1)), horizontal, vertical, descName, "stationName", "", 0);			
			local tipTrigger = moStationes[descName].tipTrigger;
			local first = true;			
			if tipTrigger ~= nil and tipTrigger.priceMultipliers ~= nil and tipTrigger.acceptedFillTypes ~= nil then
				local fillTypes = "";
				local priceMultipliersString = "";
				for k,v in pairs(tipTrigger.acceptedFillTypes) do
					local desc = Fillable.fillTypeIndexToDesc[k];
					if desc ~= nil then
						if string.len(fillTypes) > 0 then
							fillTypes = fillTypes.. " ".. tostring(desc.name);
						else
							fillTypes = tostring(desc.name);
						end;
					end;					
				end;
				for k,v in pairs(tipTrigger.priceMultipliers) do
					if v ~= nil then
						if string.len(priceMultipliersString) > 0 then
							priceMultipliersString = priceMultipliersString.. " ".. tostring(v);
						else
							priceMultipliersString = tostring(v);
						end;
					end;					
				end;
				local types = Utils.splitString(" ", fillTypes);
				local multipliers = Utils.splitString(" ", priceMultipliersString);
				for k,v in pairs(types) do					
					local desc = Fillable.fillTypeNameToDesc[v];
					if desc ~= nil then						
						if first then 
							first = false;
						else
							b=b+1;
						end;
						setTextAlignment(RenderText.ALIGN_LEFT);
						local pricePerLiter = string.format("%.5f", Utils.getNoNil(moFillTypes[desc.index].pricePerLiter,0.00)); --Fillable.fillTypeIndexToDesc[desc.index].pricePerLiter;
						local priceMultiplier = tonumber(multipliers[k]);
						moSetGetGui["editButton4"]:setPosition(posX+widthSlot+(horizontal*31), posY-(vertical*(b+1)));			
						moSetGetGui["editButton4"]:render();
						posTxt = desc.name;
						renderText(posX+widthSlot+(horizontal*32), posY-(vertical*(b+1))+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, tostring(posTxt));
						
						moSetGetGui["editButton3"]:setPosition(posX+widthSlot+(horizontal*49), posY-(vertical*(b+1)));			
						moSetGetGui["editButton3"]:render();
						posTxt = pricePerLiter
						renderText(posX+widthSlot+(horizontal*50), posY-(vertical*(b+1))+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, tostring(posTxt));
						
						moSetGetGui["editButton3"]:setPosition(posX+widthSlot+(horizontal*55), posY-(vertical*(b+1)));			
						moSetGetGui["editButton3"]:render();
						if moSetGetGui.showGui.inputState == 2 and moSetGetGui.showGui.inputEditLine == k then
							moSetGetGui["editSlot"]:setPosition(posX+widthSlot+(horizontal*55), posY-(vertical*(b+1))+0.002);			
							moSetGetGui["editSlot"]:render();
							if moSetGetGui.showGui.timer < 250 then
								posTxt = tostring(moSetGetGui.showGui.inputTxt).. "_";
							else
								posTxt = tostring(moSetGetGui.showGui.inputTxt);
							end;
							if not MultiOverlayV2.isMp then
								moDraw.showGui:setClickAreaEditStation(self, posX+widthSlot+(horizontal*55), posY-(vertical*(b+1)), horizontal, vertical, descName, "multiplier", desc.name, k);
							end;
						else				
							if not MultiOverlayV2.isMp and moSetGetGui.showGui.inputState == 0 then
								moSetGetGui["slotNotOkay"]:setPosition(posX+widthSlot+(horizontal*55), posY-(vertical*(b+1))+0.001);			
								moSetGetGui["slotNotOkay"]:render();
							else
								moSetGetGui["notReadySmall"]:setPosition(posX+widthSlot+(horizontal*55), posY-(vertical*(b+1))+0.001);			
								moSetGetGui["notReadySmall"]:render();
							end;
							posTxt = priceMultiplier; --string.format("%.5f", Utils.getNoNil(moFillTypes[desc].pricePerLiter,0.00));
						end;						
						renderText(posX+widthSlot+(horizontal*56), posY-(vertical*(b+1))+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, tostring(posTxt));						
						if moSetGetGui.showGui.inputEditLine == 0 and not MultiOverlayV2.isMp then							
							moDraw.showGui:setClickAreaEditStation(self, posX+widthSlot+(horizontal*55), posY-(vertical*(b+1)), horizontal, vertical, descName, "multiplier", desc.name, k);
						end;
						setTextAlignment(RenderText.ALIGN_CENTER);
						moSetGetGui["editButton3"]:setPosition(posX+widthSlot+(horizontal*61), posY-(vertical*(b+1)));			
						moSetGetGui["editButton3"]:render();
						posTxt = "x".. tostring(moGeneralSettings.difficultyMultiplier);
						renderText(posX+widthSlot+(horizontal*61)+((horizontal*6)/2), posY-(vertical*(b+1))+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, tostring(posTxt));
						
						moSetGetGui["editButton3"]:setPosition(posX+widthSlot+(horizontal*67), posY-(vertical*(b+1)));			
						moSetGetGui["editButton3"]:render();
						local price = tonumber(pricePerLiter)*priceMultiplier*moGeneralSettings.difficultyMultiplier*1000						
						if string.find(moGeneralSettings.foundAnimals, desc.name.. " ") or desc.name == "egg" then									
							price = tonumber(pricePerLiter)/1000*priceMultiplier*moGeneralSettings.difficultyMultiplier*1000;
						end;
						setTextAlignment(RenderText.ALIGN_RIGHT);
						local priceTemp = string.format("%.1f", Utils.getNoNil(price,0));
						posTxt = tostring(priceTemp);
						renderText(posX+widthSlot+(horizontal*68)+((horizontal*6)/2), posY-(vertical*(b+1))+0.0035, moSetGetGui.posCfgMenue.size[3]-0.002, tostring(posTxt));
						if not MultiOverlayV2.isMp and moSetGetGui.showGui.inputState == 0 then
							moSetGetGui["slotNotOkay"]:setPosition(posX+widthSlot+(horizontal*74), posY-(vertical*(b+1)));			
							moSetGetGui["slotNotOkay"]:render();
							moDraw.showGui:setClickAreaEditStation(self, posX+widthSlot+(horizontal*74), posY-(vertical*(b+1)), horizontal, vertical, descName, "deleteFruit", desc.name, k);							
						end;
					end;	
				end;
				--moStationes[descName].acceptedFillTypes = fillTypes;
			end;
			if not first then b=b+1;end;			
		end;		
	if moSetGetGui.page[1].clickArea.multiChange.stationChange ~= nil then
		moSetGetGui:setOverlay(self, moSetGetGui["designGround"], posX+(widthSlot), posY-(vertical*b), widthSlot*38, vertical*(b+3.5));
	elseif moSetGetGui.page[1].clickArea.multiChange.fruitChange ~= nil then
		moSetGetGui:setOverlay(self, moSetGetGui["designGround"], posX+(widthSlot), posY-(vertical*b), widthSlot*24, vertical*(b+3.5));
	end;
	setTextColor(1, 1, 1, 1);
	setTextAlignment(false);
	setTextBold(false);	
end;

function moDraw.showGui:setClickAreaEditStation(self, posX, posY, horizontal, vertical, descName, stationChangeTxt, fruitName, editLine)	
	if stationChangeTxt == nil or descName == nil or fruitName == nil or editLine == nil then return;end;
	local a = Utils.getNoNil(table.getn(moSetGetGui.showGui.clickArea.editStation), 0);	
	moSetGetGui.showGui.clickArea.editStation[a+1] = {posX, posX+(horizontal), posY, posY+(vertical), descName, stationChangeTxt, fruitName, editLine};
end;

function moDraw.showGui:setClickAreaEditFruit(self, posX, posY, horizontal, vertical, desc, fruitChangeTxt)	
	if fruitChangeTxt == nil or desc == nil then return;end;
	local a = Utils.getNoNil(table.getn(moSetGetGui.showGui.clickArea.editFruit), 0);	
	moSetGetGui.showGui.clickArea.editFruit[a+1] = {posX, posX+(horizontal), posY, posY+(vertical), desc, fruitChangeTxt};
end;

function moDraw.showGui:setClickAreaEditSlot(self, posX, posY, horizontal, vertical, xmlLine, slotType, placeable)	
	if xmlLine == nil or slotType == nil or placeable == nil then return;end;
	local a = Utils.getNoNil(table.getn(moSetGetGui.showGui.clickArea.editSlot), 0);	
	moSetGetGui.showGui.clickArea.editSlot[a+1] = {posX, posX+(horizontal), posY, posY+(vertical), xmlLine, slotType, placeable};
end;

function moDraw.showGui:setClickAreaEditObject(self, posX, posY, horizontal, vertical, xmlLine, slotType, placeable)	
	if xmlLine == nil or slotType == nil or placeable == nil then return;end;
	local a = Utils.getNoNil(table.getn(moSetGetGui.showGui.clickArea.editObject), 0);	
	moSetGetGui.showGui.clickArea.editObject[a+1] = {posX, posX+(horizontal), posY, posY+(vertical), xmlLine, slotType, placeable};
end;

function moDraw.showGui:setClickAreaInfoBoard(self, posX, posY, horizontal, vertical, state)	
	if state == nil then return;end;
	local a = Utils.getNoNil(table.getn(moSetGetGui.showGui.clickArea.infoBoard), 0);	
	moSetGetGui.showGui.clickArea.infoBoard[a+1] = {posX, posX+(horizontal), posY, posY+(vertical), state};
end;